<div>
  home works
  <button type="button" (click)="addPost()">POST</button>
  <button type="button" (click)="putPost()">PUT</button>
  <button type="button" (click)="patchPost()">PATCH</button>
  <button type="button" (click)="deletePost()">Delete</button>
</div>
